import { request } from '@wisdom-utils/utils';

const REQUEST_METHOD_GET = 'get';
const REQUEST_METHOD_POST = 'post';
// eslint-disable-next-line no-undef
const baseUrl = typeof DUMI_TYPE !== 'undefined' && DUMI_TYPE === 'dumi' ? '/api' : '';

const MonitorUrl = `${baseUrl}/PandaMonitor/Monitor`;

// 查询设备指标
export function getQuataList(params) {
  return request({
    url: `${MonitorUrl}/Device/GetQutaList`,
    method: REQUEST_METHOD_GET,
    params,
  });
}

// 设备监控展示
export function getMonitorConf(params) {
  return request({
    url: `${MonitorUrl}/MonitorConfig/GetMonitorConf`,
    method: REQUEST_METHOD_GET,
    params,
  });
}

// 设备监控展示
export function updateMonitorConf(data) {
  return request({
    url: `${MonitorUrl}/MonitorConfig/AddOrUpdateMonitorConf`,
    method: REQUEST_METHOD_POST,
    data,
  });
}
